cURL
curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-search-results \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-search-results"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-search-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"about": "Experienced Store Manager with a history in the retail fashion industry.",
"city": "Paris",
"company": "Aubade Paris",
"company_domain": "aubade.fr",
"company_employee_range": "201 - 500",
"company_id": "1324737",
"company_industry": "Retail Apparel and Fashion",
"company_linkedin_url": "https://www.linkedin.com/company/aubade",
"company_logo_url": "https://example.com/logo.png",
"company_website": "http://www.aubade.fr",
"company_year_founded": 1958,
"country": "France",
"educations": [
{
"degree": "Master of Science",
"field_of_study": "Marketing",
"school": "Université Paris Dauphine",
"start_year": 2016,
"end_year": 2018
}
],
"experiences": [
{
"company": "Aubade Paris",
"date_range": "Jan 2018 - Present",
"title": "Store Manager",
"description": "Managed operations and team of 10 staff.",
"duration": "5 years",
"location": "Paris, France"
}
],
"first_name": "Alexia",
"last_name": "Routier",
"job_title": "Directrice boutique",
"location": "Cannes, France",
"linkedin_url": "https://www.linkedin.com/in/alexia-routier"
}
],
"message": "Success",
"total_count": 123,
"total_employees": 500,
"search_params": {
"query": "store manager",
"filters": [
"location:Paris"
],
"sort": "relevance"
}
}{
"data": null,
"message": "Bad request: Invalid request_id."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Employee Search (via Sales Navigator)
Get Search Results
GET
/
get-search-results
cURL
- Get search results. Please make sure the search is done before calling this endpoint.
- Pricing: 1 credits per result.
Authorizations
Query Parameters
Example:
"dd1b29063de8927b31fa523d36432b61"
The page number for paginated results. Maximum 100 results returned per page.
Example:
1
⌘I
